diff --git a/buglist b/buglist
index a1e3692..1275e56 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7253: 
+bug 7254: 
 todo 336:
 wish 1011:
 meh 5:
@@ -12,6 +12,45 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7253: There are no library operations named 'when'
+
+(1) -> ch : Integer -> UnivariatePolynomial(x,FRAC(INT))
+                                                                   Type: Void
+(2) -> ch(0) == 1
+                                                                   Type: Void
+(3) -> ch(1) == x
+                                                                   Type: Void
+(4) -> ch(n) == 2 * x * ch(n-1) - ch(n-2) when n > 1
+                                                                   Type: Void
+(5) -> ch(2)
+   There are no library operations named when 
+      Use HyperDoc Browse or issue
+                                )what op when
+      to learn if there is any operation containing " when " in its 
+      name.
+   Cannot find a definition or applicable library operation named when 
+      with argument type(s) 
+                                   Integer
+      
+      Perhaps you should use "@" to indicate the required return type, 
+      or "$" to specify which version of the function you need.
+   AXIOM will attempt to step through and interpret the code.
+   Compiling function ch with type Integer -> UnivariatePolynomial(x,
+      Fraction(Integer)) 
+   There are no library operations named when 
+      Use HyperDoc Browse or issue
+                                )what op when
+      to learn if there is any operation containing " when " in its 
+      name.
+ 
+   Cannot find a definition or applicable library operation named when 
+      with argument type(s) 
+                                   Integer
+      
+      Perhaps you should use "@" to indicate the required return type, 
+      or "$" to specify which version of the function you need.
+
+=========================================================================
 bug 7252: argument(-%i)
 
  > AXIOM ->         complexForm(log(%i) - log(-%i))
diff --git a/changelog b/changelog
index bd2388c..1e3048e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140614 tpd src/axiom-website/patches.html 20140614.02.tpd.patch
+20140614 tpd buglist bug 7253: There are no library operations named 'when'
 20140614 tpd src/axiom-website/patches.html 20140614.01.tpd.patch
 20140614 tpd buglist bug 7252: argument(-%i)
 20140613 tpd src/axiom-website/patches.html 20140613.13.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9899ea6..2c375bd 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4448,6 +4448,8 @@ buglist bug 7251: integrate(1/(1+z^4), z=0..1) :: Complex Float
 buglist bug 7249: radicalSolve(z^7=1, z) update
 <a href="patches/20140614.01.tpd.patch">20140614.01.tpd.patch</a>
 buglist bug 7252: argument(-%i)
+<a href="patches/20140614.02.tpd.patch">20140614.02.tpd.patch</a>
+buglist bug 7253: There are no library operations named 'when'
  </body>
 </html>
 
